package sharin.doc.builder.xhtml1;

public class UlElem extends GenericCommonElem<UlElem> {

    public UlElem(Object... nodes) {
        super("ul", nodes);
    }

    public UlElem compact(boolean compact) {
        return compact ? compact("compact") : this;
    }

    public UlElem compact(Object value) {
        return attr("compact", value);
    }

    public UlElem type(Object value) {
        return attr("type", value);
    }

    public UlElem typeCircle() {
        return type("circle");
    }

    public UlElem typeDisc() {
        return type("disc");
    }

    public UlElem typeSquare() {
        return type("square");
    }
}
